# Deactivate Credential

`PUT /auth/credentials/deactivate`

Deactivates a credential that was previously active. If the credential is already deactivated no action is taken

{% hint style="info" %}

* User action signature required. See [User Action Signing](/d/api-docs/authentication/user-action-signing.md) for more information.
* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

None

## Request body

|                                                     |          |                                                      |
| --------------------------------------------------- | -------- | ---------------------------------------------------- |
| `credentialUuid` <mark style="color:red;">\*</mark> | `String` | The UUID of the credential that is being deactivated |

### Example

```json
{
  "credentialUuid": "cr-4uc9u-12ij1-9s08327e73jqqcnr"
}
```

## Responses

{% hint style="info" %}

* See [Common Errors](broken://pages/Zbx6VWYoYmttC3Bod3yK#common-errors) for common errors.
* See [Credential Management Errors](broken://pages/Zbx6VWYoYmttC3Bod3yK#credential-management-errors) for credential management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - generic success message

```json
{
    "message": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/credential-management/api-reference/deactivatecredential.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
